Bug 1314899 - Add resource requests to templates
Summary: Add resource requests to templates
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Templates
Version: 3.1.0
Hardware: Unspecified
OS: Unspecified
low
low
Target Milestone: ---
: ---
Assignee: Ben Parees
QA Contact: Wang Haoran
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-03-04 19:29 UTC by Peter Larsen
Modified: 2017-03-08 18:14 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Feature: Add default resource limits to templates Reason: Systems which require limits be set would prevent deployment of templates when the template did not specify resource limits. Result: Templates can now be deployed on systems that require resource limits be specified.
Clone Of:
Environment:
Last Closed: 2016-09-27 09:36:11 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2016:1933 normal SHIPPED_LIVE Red Hat OpenShift Container Platform 3.3 Release Advisory 2016-09-27 13:24:36 UTC

Description Peter Larsen 2016-03-04 19:29:01 UTC
If a user has resource limits defined, the default resource limit may not be large enough to allow mysql or other demo apps to run. Every deployment should have a resource section listed in the templates that indicates the required size.

Documentation should also explain what the size requirements are - or suggest good resource limit setups to allow them to run the quick-starts.

Comment 1 Ben Parees 2016-03-04 19:41:12 UTC
this has already been done, eg:
https://github.com/openshift/origin/blob/master/examples/quickstarts/dancer-mysql.json#L329-L341

Comment 2 Peter Larsen 2016-03-04 22:51:19 UTC
(In reply to Ben Parees from comment #1)
> this has already been done, eg:
> https://github.com/openshift/origin/blob/master/examples/quickstarts/dancer-
> mysql.json#L329-L341

Ben - that seems arbitrary. Does that cover all quick-starts? What version was that introduced in? I don't see any limits in the xpaas templates nor in the OSE 3.1 quick-starts.

Comment 5 wewang 2016-09-08 07:44:24 UTC
quickstart templates are already added memory limit,here:https://github.com/openshift/origin/tree/master/examples/quickstarts

and tested in ose32 ,works
openshift v3.2.1.15
kubernetes v1.2.0-36-g4a3f9c5
etcd 2.2.5

Comment 7 errata-xmlrpc 2016-09-27 09:36:11 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2016:1933


Note You need to log in before you can comment on or make changes to this bug.